<?php
    require_once "model_conexion.php";
    class Modelo_Tramite extends ConexionDB{

        public function Registrar_Tramite_Interno($dni,$nom,$apt,$apm,$cel,$ema,$dir,$vpresentacion,$ruc,$raz,$proc,$arp,$ard,$tip,$ndo,$asu,$ruta,$fol,$idusu){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_REGISTRAR_TRAMITE_INTERNO(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$dni); 
            $query->bindParam(2,$nom); 
            $query->bindParam(3,$apt); 
            $query->bindParam(4,$apm); 
            $query->bindParam(5,$cel); 
            $query->bindParam(6,$ema); 
            $query->bindParam(7,$dir); 
            $query->bindParam(8,$vpresentacion); 
            $query->bindParam(9,$ruc); 
            $query->bindParam(10,$raz); 
            $query->bindParam(11,$proc); 
            $query->bindParam(12,$arp); 
            $query->bindParam(13,$ard); 
            $query->bindParam(14,$tip); 
            $query->bindParam(15,$ndo); 
            $query->bindParam(16,$asu); 
            $query->bindParam(17,$ruta); 
            $query->bindParam(18,$fol);
            $query->bindParam(19,$idusu);
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }
        public function Registrar_Tramite_Externo($dni,$nom,$apt,$apm,$cel,$ema,$dir,$vpresentacion,$ruc,$raz,$proc,$tip,$ndo,$asu,$ruta,$fol){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_REGISTRAR_TRAMITE_EXTERNO(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$dni); 
            $query->bindParam(2,$nom); 
            $query->bindParam(3,$apt); 
            $query->bindParam(4,$apm); 
            $query->bindParam(5,$cel); 
            $query->bindParam(6,$ema); 
            $query->bindParam(7,$dir); 
            $query->bindParam(8,$vpresentacion); 
            $query->bindParam(9,$ruc); 
            $query->bindParam(10,$raz); 
            $query->bindParam(11,$proc);  
            $query->bindParam(12,$tip); 
            $query->bindParam(13,$ndo); 
            $query->bindParam(14,$asu); 
            $query->bindParam(15,$ruta); 
            $query->bindParam(16,$fol);
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Modificar_Usuario($id,$ide,$ida,$rol){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_MODIFICAR_USUARIO(?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 
            $query->bindParam(2,$ide); 
            $query->bindParam(3,$ida); 
            $query->bindParam(4,$rol); 
            $result = $query->execute();
            if($result){
                return 1;
            }else{
                return 0;
            }

            conexionDB::cerrar_conexion();
        }

        public function Listar_Tramite(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_TRAMITE()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }

        public function Listar_Tramite_Seguimiento($id){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_TRAMITE_SEGUIMIENTO(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }

        public function Cargar_Select_Tipo(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_CARGAR_SELECT_TIPO()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll();
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }

        public function Cargar_Select_Tupa(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_CARGAR_SELECT_TUPA()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll();
            foreach($resultado as $resp){
                $arreglo[]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }

        
        

    }
?>